<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ConstructionPart Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d8f/class_construction_part.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ConstructionPart Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a9dd9373cda607075bdce4a42482c584e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a9dd9373cda607075bdce4a42482c584e">ConstructionPart</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> part_name, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> main_part_name, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id, <a class="el" href="../../d9/db9/classbool.html">bool</a> is_built, <a class="el" href="../../d9/db9/classbool.html">bool</a> is_base, <a class="el" href="../../d9/db9/classbool.html">bool</a> is_gate, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; required_parts)</td></tr>
<tr class="separator:a9dd9373cda607075bdce4a42482c584e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80a2a2136642a43e3c57af74d784433b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a80a2a2136642a43e3c57af74d784433b">GetName</a> ()</td></tr>
<tr class="separator:a80a2a2136642a43e3c57af74d784433b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5149dd9f39960d2667e5269ceb883215"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a5149dd9f39960d2667e5269ceb883215">GetPartName</a> ()</td></tr>
<tr class="separator:a5149dd9f39960d2667e5269ceb883215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8e9d84802d2b183033baf78a3d4fe41"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#af8e9d84802d2b183033baf78a3d4fe41">GetMainPartName</a> ()</td></tr>
<tr class="separator:af8e9d84802d2b183033baf78a3d4fe41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02e966d5e4da59290708ed536d0e6b01"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a02e966d5e4da59290708ed536d0e6b01">GetId</a> ()</td></tr>
<tr class="separator:a02e966d5e4da59290708ed536d0e6b01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97b5a76fdc75d99ede01bc7e849b12b2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a97b5a76fdc75d99ede01bc7e849b12b2">IsBuilt</a> ()</td></tr>
<tr class="separator:a97b5a76fdc75d99ede01bc7e849b12b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a935aeaf74141d4cb65c61611da6fdf4f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a935aeaf74141d4cb65c61611da6fdf4f">SetBuiltState</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> is_built)</td></tr>
<tr class="separator:a935aeaf74141d4cb65c61611da6fdf4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba635f434315ec8d6ff390fd7d9d6e31"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#aba635f434315ec8d6ff390fd7d9d6e31">SetRequestBuiltState</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> req_built)</td></tr>
<tr class="separator:aba635f434315ec8d6ff390fd7d9d6e31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7050c495f423fe9db9e0c140d6d1dbdc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a7050c495f423fe9db9e0c140d6d1dbdc">IsBase</a> ()</td></tr>
<tr class="separator:a7050c495f423fe9db9e0c140d6d1dbdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cb8d066e58eada3fc8e4ec8b397fe6e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a0cb8d066e58eada3fc8e4ec8b397fe6e">IsGate</a> ()</td></tr>
<tr class="separator:a0cb8d066e58eada3fc8e4ec8b397fe6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5e507715df39d681d18981be5690b5a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#ae5e507715df39d681d18981be5690b5a">GetRequiredParts</a> ()</td></tr>
<tr class="separator:ae5e507715df39d681d18981be5690b5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2a6a233f8056260f9b2641b3bd0255bf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a2a6a233f8056260f9b2641b3bd0255bf">m_Name</a></td></tr>
<tr class="separator:a2a6a233f8056260f9b2641b3bd0255bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf03a92be2b3761dd1f5bc28a072c100"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#adf03a92be2b3761dd1f5bc28a072c100">m_Id</a></td></tr>
<tr class="separator:adf03a92be2b3761dd1f5bc28a072c100"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0af92556f00246979bdf18f6dac096d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#aa0af92556f00246979bdf18f6dac096d">m_PartName</a></td></tr>
<tr class="separator:aa0af92556f00246979bdf18f6dac096d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e8285ae0676a243f926f6d19dbfb84b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a9e8285ae0676a243f926f6d19dbfb84b">m_MainPartName</a></td></tr>
<tr class="separator:a9e8285ae0676a243f926f6d19dbfb84b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a481e48945e83b6033d7efbd0e784fac3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a481e48945e83b6033d7efbd0e784fac3">m_IsBuilt</a></td></tr>
<tr class="separator:a481e48945e83b6033d7efbd0e784fac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad5ca239b8f1e9711792b00e6fe43dce"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#aad5ca239b8f1e9711792b00e6fe43dce">m_IsBase</a></td></tr>
<tr class="separator:aad5ca239b8f1e9711792b00e6fe43dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ec39e6374790c647ed05fef18cd0631"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#a9ec39e6374790c647ed05fef18cd0631">m_IsGate</a></td></tr>
<tr class="separator:a9ec39e6374790c647ed05fef18cd0631"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf2e1c8ab8ef7c0889e9de1ec62ca117"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d8f/class_construction_part.html#abf2e1c8ab8ef7c0889e9de1ec62ca117">m_RequiredParts</a></td></tr>
<tr class="separator:abf2e1c8ab8ef7c0889e9de1ec62ca117"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00001">1</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9dd9373cda607075bdce4a42482c584e" name="a9dd9373cda607075bdce4a42482c584e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9dd9373cda607075bdce4a42482c584e">&#9670;&#160;</a></span>ConstructionPart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ConstructionPart::ConstructionPart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>part_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>main_part_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>is_built</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>is_base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>is_gate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td>
          <td class="paramname"><em>required_parts</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00012">12</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a02e966d5e4da59290708ed536d0e6b01" name="a02e966d5e4da59290708ed536d0e6b01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02e966d5e4da59290708ed536d0e6b01">&#9670;&#160;</a></span>GetId()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ConstructionPart::GetId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00040">40</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="af8e9d84802d2b183033baf78a3d4fe41" name="af8e9d84802d2b183033baf78a3d4fe41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8e9d84802d2b183033baf78a3d4fe41">&#9670;&#160;</a></span>GetMainPartName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ConstructionPart::GetMainPartName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00035">35</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="a80a2a2136642a43e3c57af74d784433b" name="a80a2a2136642a43e3c57af74d784433b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80a2a2136642a43e3c57af74d784433b">&#9670;&#160;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ConstructionPart::GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00024">24</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="a5149dd9f39960d2667e5269ceb883215" name="a5149dd9f39960d2667e5269ceb883215"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5149dd9f39960d2667e5269ceb883215">&#9670;&#160;</a></span>GetPartName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ConstructionPart::GetPartName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00030">30</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="ae5e507715df39d681d18981be5690b5a" name="ae5e507715df39d681d18981be5690b5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5e507715df39d681d18981be5690b5a">&#9670;&#160;</a></span>GetRequiredParts()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; ConstructionPart::GetRequiredParts </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00075">75</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="a7050c495f423fe9db9e0c140d6d1dbdc" name="a7050c495f423fe9db9e0c140d6d1dbdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7050c495f423fe9db9e0c140d6d1dbdc">&#9670;&#160;</a></span>IsBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ConstructionPart::IsBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00065">65</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="a97b5a76fdc75d99ede01bc7e849b12b2" name="a97b5a76fdc75d99ede01bc7e849b12b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97b5a76fdc75d99ede01bc7e849b12b2">&#9670;&#160;</a></span>IsBuilt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ConstructionPart::IsBuilt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00045">45</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="a0cb8d066e58eada3fc8e4ec8b397fe6e" name="a0cb8d066e58eada3fc8e4ec8b397fe6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cb8d066e58eada3fc8e4ec8b397fe6e">&#9670;&#160;</a></span>IsGate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ConstructionPart::IsGate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00070">70</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="a935aeaf74141d4cb65c61611da6fdf4f" name="a935aeaf74141d4cb65c61611da6fdf4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a935aeaf74141d4cb65c61611da6fdf4f">&#9670;&#160;</a></span>SetBuiltState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ConstructionPart::SetBuiltState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>is_built</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00050">50</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="aba635f434315ec8d6ff390fd7d9d6e31" name="aba635f434315ec8d6ff390fd7d9d6e31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba635f434315ec8d6ff390fd7d9d6e31">&#9670;&#160;</a></span>SetRequestBuiltState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ConstructionPart::SetRequestBuiltState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>req_built</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00056">56</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="adf03a92be2b3761dd1f5bc28a072c100" name="adf03a92be2b3761dd1f5bc28a072c100"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf03a92be2b3761dd1f5bc28a072c100">&#9670;&#160;</a></span>m_Id</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ConstructionPart::m_Id</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00004">4</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="aad5ca239b8f1e9711792b00e6fe43dce" name="aad5ca239b8f1e9711792b00e6fe43dce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad5ca239b8f1e9711792b00e6fe43dce">&#9670;&#160;</a></span>m_IsBase</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ConstructionPart::m_IsBase</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00008">8</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="a481e48945e83b6033d7efbd0e784fac3" name="a481e48945e83b6033d7efbd0e784fac3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a481e48945e83b6033d7efbd0e784fac3">&#9670;&#160;</a></span>m_IsBuilt</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ConstructionPart::m_IsBuilt</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00007">7</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="a9ec39e6374790c647ed05fef18cd0631" name="a9ec39e6374790c647ed05fef18cd0631"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ec39e6374790c647ed05fef18cd0631">&#9670;&#160;</a></span>m_IsGate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ConstructionPart::m_IsGate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00009">9</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="a9e8285ae0676a243f926f6d19dbfb84b" name="a9e8285ae0676a243f926f6d19dbfb84b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e8285ae0676a243f926f6d19dbfb84b">&#9670;&#160;</a></span>m_MainPartName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ConstructionPart::m_MainPartName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00006">6</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="a2a6a233f8056260f9b2641b3bd0255bf" name="a2a6a233f8056260f9b2641b3bd0255bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a6a233f8056260f9b2641b3bd0255bf">&#9670;&#160;</a></span>m_Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ConstructionPart::m_Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00003">3</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="aa0af92556f00246979bdf18f6dac096d" name="aa0af92556f00246979bdf18f6dac096d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0af92556f00246979bdf18f6dac096d">&#9670;&#160;</a></span>m_PartName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ConstructionPart::m_PartName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00005">5</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<a id="abf2e1c8ab8ef7c0889e9de1ec62ca117" name="abf2e1c8ab8ef7c0889e9de1ec62ca117"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf2e1c8ab8ef7c0889e9de1ec62ca117">&#9670;&#160;</a></span>m_RequiredParts</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; ConstructionPart::m_RequiredParts</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d1b/_construction_part_8c_source.html#l00010">10</a> of file <a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/BaseBuilding/<a class="el" href="../../da/d1b/_construction_part_8c_source.html">ConstructionPart.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/d8f/class_construction_part.html">ConstructionPart</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
